XWiki Platform is a generic wiki platform offering runtime services for applications built on top of it. XWiki supports scheduled jobs that contain Groovy scripts. Currently, the job checks the content author of the job for programming right. However, modifying or adding a job script to a document doesn't modify the content author. Together with a CSRF vulnerability in the job scheduler, this can be exploited for remote code execution by an attacker with edit right on the wiki. If the attack is successful, an error log entry with "Job content executed" will be produced. This vulnerability has been patched in XWiki 14.10.9 and 15.4RC1.
Published 2023-08-24 02:15:10
Updated 2023-09-01 17:09:35
Source GitHub, Inc.
View at NVD,   CVE.org
Vulnerability category: Cross-site request forgery (CSRF)Execute codeBypassGain privilege

Exploit prediction scoring system (EPSS) score for CVE-2023-40573

0.25%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 65 %
Percentile, the proportion of vulnerabilities that are scored at or less

CVSS scores for CVE-2023-40573

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
8.8
HIGH CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
2.8
5.9
NIST
9.0
CRITICAL CVSS:3.1/AV:N/AC:L/PR:L/UI:R/S:C/C:H/I:H/A:H
2.3
6.0
GitHub, Inc.

CWE ids for CVE-2023-40573

  • The product does not restrict or incorrectly restricts access to a resource from an unauthorized actor.
    Assigned by: security-advisories@github.com (Secondary)

References for CVE-2023-40573

Products affected by CVE-2023-40573

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!